%define module	Moose
%define name	perl-%{module}
%define version 0.57
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A complete modern object system for Perl 5
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/S/ST/STEVAN/%{module}-%{version}.tar.gz
License:	GPL
Group:		Development/Perl
BuildRequires:	perl(Sub::Name)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Class::MOP) >= 0.65
BuildRequires:	perl(Test::LongString)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(List::MoreUtils)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Moose is an extension of the Perl 5 object system.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%__make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Moose
%{perl_vendorlib}/Moose.pm
%{perl_vendorlib}/oose.pm
%{perl_vendorlib}/Test/Moose.pm
%{_mandir}/*/*



%changelog
* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-1mdv2009.0
+ Revision: 281701
- new version

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-1mdv2009.0
+ Revision: 279193
- new version

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2009.0
+ Revision: 270491
- new version

* Sun Jul 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdv2009.0
+ Revision: 232130
- update to new version 0.54

* Fri Jul 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2009.0
+ Revision: 231602
- update to new version 0.53

* Wed Jul 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdv2009.0
+ Revision: 230702
- new version

* Tue Jun 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdv2009.0
+ Revision: 223408
- new version

* Fri May 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.48-1mdv2009.0
+ Revision: 213356
- update to new version 0.48

* Thu May 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdv2009.0
+ Revision: 212940
- update to new version 0.46

* Tue May 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.44-1mdv2009.0
+ Revision: 206820
- update to new version 0.44

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-2mdv2009.0
+ Revision: 201954
- drop last build dependency, it is redundant  with Class::MOP

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-1mdv2009.0
+ Revision: 201933
- fix build dependency
- update to new version 0.43

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.40-1mdv2009.0
+ Revision: 193866
- update to new version 0.40

* Sat Feb 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2008.1
+ Revision: 169257
- update to new version 0.38

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2008.1
+ Revision: 158625
- update to new version 0.36

* Fri Jan 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2008.1
+ Revision: 158107
- update to new version 0.35

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2008.1
+ Revision: 156179
- update to new version 0.34

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2008.1
+ Revision: 121687
- new version

* Wed Dec 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.1
+ Revision: 115534
- new version

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2008.1
+ Revision: 113432
- new version
- new version

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2008.1
+ Revision: 110245
- new version

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2008.1
+ Revision: 97518
- update to new version 0.26

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
+ Revision: 75281
- import perl-Moose


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
- first mdv release 
